#ifndef DESCSS_MIRDBodyFactory_h
#define DESCSS_MIRDBodyFactory_h 1

#include "G4VBodyFactory.h"
#include "G4VOrgan.h"

#include <map>

class G4VBodyFactory;
class G4VPhysicalVolume;
class G4VOrgan;

class G4MIRDBodyFactory : public G4VBodyFactory {
public:
    G4MIRDBodyFactory();
    ~G4MIRDBodyFactory();
    G4VPhysicalVolume* CreateOrgan(const G4String&, G4VPhysicalVolume*, const G4String&, G4bool, G4bool);

private:
    std::map<std::string, G4VOrgan*> organ;
};
#endif
