#ifndef DESCSS_HumanPhantomMaterial_H
#define DESCSS_HumanPhantomMaterial_H 1

#include "globals.hh"
class G4Material;

class G4HumanPhantomMaterial {
public:
    G4HumanPhantomMaterial();
    ~G4HumanPhantomMaterial();

public:
    void DefineMaterials();
    G4Material* GetMaterial(G4String);  // returns the material

private:
    G4Material* matH2O;
    G4Material* soft;
    G4Material* skeleton;
    G4Material* lung;
    G4Material* adipose;
    G4Material* glandular;
    G4Material* adipose_glandular;
    G4Material* muscle;
};
#endif
